problemas con apache2+php+mysql

Ante todo un saludo a todos los que dan vida a este sitio, recien comence con ubuntu 6.06 aunque ya he trasteado varias distribuciones de linux pero ninguna basada en debian, el problema es que trato de poner a funcionar un servidor web con soporte php y mysql, ya los tengo instalado (apache2+php4+mysql4.1) y el sitio web lo tengo alojado en (var/www/), cuando pongo en mi browser http://localhost me sale el siguiente mensage:

Warning: Unknown(/var/www/index.php): failed to open stream: Permission denied in Unknown on line 0

Warning: (null)(): Failed opening '/var/www/index.php' for inclusion (include_path='.:/usr/share/php') in Unknown on line 0

a continuacion les doy algunos datos de cosas que hice en el conf de apache:

(el sitio web lo tengo alojado en (var/www/)

en (etc/apache2/apache2.conf) descomente las lineas:

AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .phps

luego fui a (etc/php4/apache2/php.ini) y descomente la siguiente linea:

; UNIX: "/path1:/path2"
include_path = ".:/usr/share/php"

reinicie todo y el mensage seguia apareciendo

al ver que todo seguia igual agregue esta otra linea en el (apache2.conf)

LoadModule php4_module /usr/lib/apache2/modules/libphp4.so

reinicie el servicio de apache y nada de nada el mensage sigue saliendo a todo color y explendor, si alguien me pudiera ayudar en esto se lo agradeceria eternamente...

un abrazo

Imagen de agmenco
+1
0
-1

Le diste los permisos a tu usuario?

La solución no estar comentando y descomentando lineas. A veces pueden ser problemas de paquetes que faltan o de permisos.

Veo que te has tomado el trabajo de configurar tu servidor apache con versiones de mysql y php un poco "antiguas". Ya existen las versiones php5 y mysql5.0.22.. Con Ubuntu puedes configurar facilmente tu este tipo de servidores. Si te decides actualizar a estas versiones, puedo ayudarte a instalar tu servidor apache en pocos pasos!, espero tu respuesta

Saludos!

+1
0
-1

--Es Dios quien me hace felíz--

Imagen de mutantix
+1
0
-1

bueno el tema de descomentar las lineas los saque de los mismos howto de aca pero como ves sin resultados algunos, ya he probado con las versiones ultimas de php y mysql es decir la 5 y me da el mismo error yo aca tengo el repositorio completo en mi pc actualizado, me pregunto como es el tema de los permisos a los usuarios, a mi opinion quien tiene que dar permiso de lectura a una pagina php es apache, de todas formas agradeceria tu ayuda con el tema de los permisos a usuarios a ver si con esto doy solucion a este problemilla.

gracias de antemano

+1
0
-1